Bug 431284 - SNMP IP_MIB_OUTNOROUTES Counter error
SNMP IP_MIB_OUTNOROUTES Counter error
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.1
All Linux
low Severity medium
: rc
: ---
Assigned To: Neil Horman
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-01 21:51 EST by Gui Jianfeng
Modified: 2009-06-19 22:15 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-11 11:43:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
A patch to fix this problem (1.77 KB, patch)
2008-02-01 21:51 EST, Gui Jianfeng
no flags Details | Diff

  None (edit)
Description Gui Jianfeng 2008-02-01 21:51:04 EST
Description of problem:
When local generated TCP or UDP packet looks up router fail,
IP_MIB_OUTNOROUTES can't be increase correctly.

Version-Release number of selected component (if applicable):
2.6.18-53.el5

How reproducible:
Write a tcp client to connect to a unreachable ip address.
Observe the "OutNoRoutes" in /proc/net/snmp, this counter
will not increase.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
IP_MIB_OUTNOROUTES increases

Expected results:
IP_MIB_OUTNOROUTES doesn't increase

Additional info:
Comment 1 Gui Jianfeng 2008-02-01 21:51:04 EST
Created attachment 293780 [details]
A patch to fix this problem
Comment 3 RHEL Product and Program Management 2008-02-06 15:08:23 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Neil Horman 2008-03-11 11:43:36 EDT
I was just taking a look at it appears as though this patch has already been
applied with another patch for 5.2.  Closing this as ENXTRELEASE

Note You need to log in before you can comment on or make changes to this bug.